<template>
  <div class="container">
    <div class="cell" :class="{ flashing: flashing.includes(item) }" v-for="item in 9" :key="item">
      <div class="ball" v-if="ball.includes(item)">
        <div>0</div>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
const flashing = [3, 5, 9]
const ball = [1, 3, 7, 9]
</script>

<style lang="scss">
.container {
  position: relative;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, 100px);
  grid-gap: 10px;

  & > .cell {
    // 視需求開啟
    box-sizing: content-box;
    height: 100%;
    width: 100%;
    position: relative;
    border: black solid 2px;
    &::before {
      content: '';
      display: block;
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: radial-gradient(circle, rgba(113, 81, 95, 1) 81%, rgba(0, 0, 0, 1) 100%);
    }
    &.flashing {
      &::before {
        animation: flashing 1s linear;
        animation-iteration-count: infinite;
      }
      @keyframes flashing {
        0%,
        100% {
          opacity: 1;
        }
        50% {
          opacity: 0.6;
        }
      }
    }

    & > .ball {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      color: #000;
      display: flex;
      align-items: center;
      justify-content: center;
      z-index: 1;
      animation: slide 2s ease infinite;

      @keyframes slide {
        0% {
          transform: translateX(0%);
        }
        80%,
        100% {
          transform: translateX(200%);
        }
      }
      & > div {
        position: relative;
        display: flex;
        width: 30px;
        height: 30px;
        align-items: center;
        justify-content: center;

        &::before {
          content: '';
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          width: 100%;
          height: 100%;
          background-color: #a5f12b;
          border-radius: 50%;
          z-index: -1;
        }
      }
    }
  }
}
</style>
